Skip to main content

List All

GET /v1/executions/

Authentication

Requires authentication via: OAuth2PasswordBearer.

Parameters

NameInTypeRequiredDescriptionConstraints
X-API-Keyheaderstring | nullNonullable

Responses

200

Successful Response

application/json

Resolved schema:

{
"type": "array",
"items": {
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"microvm_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Microvm Id"
},
"session_id": {
"anyOf": [
{
"type": "string",
"format": "uuid"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"is_complete": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Is Complete"
},
"cpu_time": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Cpu Time"
},
"execution_time": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
],
"title": "Execution Time"
},
"created_at": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
],
"title": "Created At"
}
},
"type": "object",
"required": [
"id",
"microvm_id",
"session_id",
"is_complete",
"cpu_time",
"execution_time",
"created_at"
],
"title": "TaskRead"
},
"title": "Response List All V1 Executions Get"
}

Field details:

FieldTypeRequiredDescriptionConstraints
[]objectYes
[].idintegerYes
[].microvm_idstring | nullYesnullable
[].session_idstring | nullYesformat=uuid, nullable
[].is_completeboolean | nullYesnullable
[].cpu_timenumber | nullYesnullable
[].execution_timenumber | nullYesnullable
[].created_atstring | nullYesformat=date-time, nullable

422

Validation Error

application/json

Resolved schema:

{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}

Field details:

FieldTypeRequiredDescriptionConstraints
detailarray<object>No
detail[]objectNo
detail[].locarray<string | integer>No
detail[].loc[]string | integerNo
detail[].msgstringNo
detail[].typestringNo